#include<iostream>
#include<vector>

using namespace std;

int h,n,a;


int main()
{
    cin>>h>>n;
    for(int i=0;i<h;i++)
    {
        for(int j=0;j<n;j++)
        {
            cin>>a;
        }
    }
    cout<<-1<<endl;
    return 0;
}